<?php 
    $average_monthly_table_title = get_field("average_monthly_table_title");
    $average_monthly_table = get_field("average_monthly_table");
    $average_monthly_table_description = get_field("average_monthly_table_description");
    $average_monthly_block_title = get_field("average_monthly_block_title");
    $average_monthly_block_description = get_field("average_monthly_block_description");

    $average_monthly_cta_text = get_field("average_monthly_cta_text");
    $average_monthly_cta_link = get_field("average_monthly_cta_link");
    $average_monthly_cta_text_color = get_field("average_monthly_cta_text_color");
    $average_monthly_cta_background_color = get_field("average_monthly_cta_background_color");
    $average_monthly_cta_background_hover_color = get_field("average_monthly_cta_background_hover_color");

    $style_cta_average_monthly = "style = ";
    $btn_background_average_monthly = "#8ef3d0";
    
    if ($average_monthly_cta_background_color) { 
        $style_cta_average_monthly .= 'background-color:'.$average_monthly_cta_background_color.';'; 
        $btn_background_average_monthly = $average_monthly_cta_background_color;
    }
    if ($average_monthly_cta_text_color) { 
        $style_cta_average_monthly .= 'color:'.$average_monthly_cta_text_color.';'; 
    }

    $style_cta_average_monthly .= "' '";
    $mouse_over_average_monthly = "' '";
    $mouse_out_average_monthly = "' '";

    if ($average_monthly_cta_background_hover_color) {
        $mouse_over_average_monthly = 'this.style.background="'.$average_monthly_cta_background_hover_color.'"';
        $mouse_out_average_monthly = 'this.style.background="'.$btn_background_average_monthly.'"';
    }
?>
<div id="average-monthly">
    <div class="container">
        <div class="average_monthly">
            <div class="average_monthly_table_colunm average_monthly_block_colunm_mobile hide-desktop">
                <p class="average_monthly_block_title"><?= $average_monthly_block_title; ?></p>
                <p class="average_monthly_block_description"><?= $average_monthly_block_description; ?></p>
            </div>
            <?php if($average_monthly_table) { ?>
                <div class="average_monthly_table_colunm">
                    <div>
                        <p class="average_monthly_table_title"><?= $average_monthly_table_title; ?></p>
                    </div>
                    <table class="average_monthly_table">
                        <tbody>
                            <tr class="average_monthly_table_row">
                                <td></td>
                                <td class="plan-tab-second-row">
                                    <div class="average_monthly_table_k_logo">
                                        <svg width="105" height="35" viewBox="0 0 105 35" fill="none" xmlns="http://www.w3.org/2000/svg">
                                            <g clip-path="url(#clip0)">
                                            <path d="M42.3867 9.87842C42.3867 9.83698 42.4032 9.79723 42.4325 9.76793C42.4617 9.73863 42.5015 9.72217 42.5429 9.72217H45.1879C45.2293 9.72217 45.269 9.73863 45.2983 9.76793C45.3276 9.79723 45.3441 9.83698 45.3441 9.87842V15.028L45.5811 14.7015C46.3098 13.7833 47.3677 13.3242 48.7547 13.3241C49.9364 13.3241 50.8621 13.671 51.5318 14.3649C52.2015 15.0587 52.5364 16.0212 52.5366 17.2523V24.5652C52.5366 24.6066 52.5201 24.6463 52.4908 24.6757C52.4615 24.705 52.4218 24.7214 52.3804 24.7214H49.7354C49.694 24.7214 49.6542 24.705 49.625 24.6757C49.5957 24.6463 49.5792 24.6066 49.5792 24.5652V17.7831C49.5792 17.0959 49.4298 16.5874 49.1309 16.2576C48.832 15.9277 48.3735 15.7628 47.7554 15.7628C46.979 15.7628 46.383 15.9942 45.9674 16.4572C45.5519 16.9202 45.3441 17.5868 45.3441 18.457V24.5657C45.3441 24.6071 45.3276 24.6469 45.2983 24.6762C45.269 24.7055 45.2293 24.7219 45.1879 24.7219H42.5429C42.5015 24.7219 42.4617 24.7055 42.4325 24.6762C42.4032 24.6469 42.3867 24.6071 42.3867 24.5657V9.87842Z" fill="#2B8FFF"/>
                                            <path d="M59.2805 25.007C57.5844 25.007 56.2763 24.4867 55.3564 23.4459C54.4365 22.4052 53.9766 20.9223 53.9766 18.9972C53.9766 17.2218 54.445 15.8325 55.3819 14.8291C56.3188 13.8258 57.6183 13.3241 59.2803 13.3241C60.9834 13.3241 62.2949 13.836 63.2148 14.8597C64.1347 15.8834 64.5947 17.3408 64.5947 19.2319C64.5947 19.2319 64.5912 19.6706 64.5426 19.8951H56.9415C57.0099 20.7727 57.2048 21.4292 57.5262 21.8645C57.9365 22.4085 58.6204 22.6805 59.5781 22.6805C60.0226 22.6805 60.4346 22.5547 60.8143 22.3031C61.1533 22.0782 61.3709 21.8127 61.4672 21.5065C61.477 21.4744 61.4968 21.4463 61.5238 21.4262C61.5507 21.4061 61.5833 21.3952 61.6169 21.3949H64.2933C64.3172 21.3949 64.3408 21.4004 64.3622 21.4109C64.3836 21.4214 64.4024 21.4367 64.417 21.4557C64.4316 21.4746 64.4416 21.4966 64.4464 21.52C64.4512 21.5434 64.4505 21.5676 64.4444 21.5907C64.1695 22.6266 63.599 23.4455 62.7328 24.0473C61.8125 24.6872 60.6617 25.0072 59.2805 25.007ZM61.5274 18.0279C61.459 17.3612 61.2812 16.8409 60.9938 16.4668C60.6177 15.9703 60.0329 15.722 59.2396 15.722C58.4803 15.722 57.9024 16.0111 57.5058 16.5892C57.2596 16.9565 57.0818 17.4361 56.9722 18.0279H61.5274Z" fill="#2B8FFF"/>
                                            <path d="M69.0694 25.007C68.0427 25.007 67.2167 24.7128 66.5914 24.1245C65.9661 23.5362 65.6534 22.7624 65.6533 21.8032C65.6533 20.7896 65.9354 19.9785 66.4997 19.3697C67.0639 18.7609 67.8865 18.3782 68.9674 18.2217L70.895 17.9565C71.398 17.8884 71.8161 17.7727 72.1492 17.6093C72.292 17.5413 72.4024 17.4189 72.4806 17.2421C72.5576 17.0729 72.5875 16.8861 72.5674 16.7013C72.5266 16.3888 72.3668 16.1439 72.088 15.9666C71.7548 15.7557 71.2756 15.6502 70.6502 15.6502C70.0929 15.6502 69.6579 15.7863 69.3451 16.0584C69.0622 16.3046 68.8988 16.6426 68.8551 17.0724C68.8509 17.1106 68.8327 17.1459 68.8041 17.1715C68.7755 17.1971 68.7384 17.2113 68.7 17.2113H66.2068C66.1852 17.2114 66.1638 17.207 66.144 17.1984C66.1243 17.1898 66.1065 17.1771 66.0918 17.1613C66.0771 17.1455 66.0659 17.1268 66.0588 17.1063C66.0517 17.0859 66.0489 17.0643 66.0506 17.0428C66.1411 15.8275 66.5796 14.9109 67.3661 14.2931C68.1886 13.6469 69.3953 13.3239 70.9861 13.3239C72.3661 13.3239 73.4555 13.6149 74.2541 14.1971C75.0528 14.7793 75.4523 15.5742 75.4527 16.582V22.7914C75.4527 23.289 75.4935 23.638 75.575 23.8384C75.6475 24.0165 75.7841 24.1612 75.9848 24.2724C76.009 24.286 76.0291 24.3057 76.0432 24.3297C76.0572 24.3536 76.0646 24.3808 76.0646 24.4085V24.5648C76.0646 24.6062 76.0482 24.646 76.0189 24.6753C75.9896 24.7046 75.9499 24.721 75.9085 24.721H73.0275C72.9921 24.721 72.9578 24.709 72.9302 24.6869C72.9025 24.6648 72.8832 24.634 72.8753 24.5995C72.8156 24.3391 72.6801 23.7261 72.6486 23.3941L72.6383 23.3738C71.7205 24.4627 70.5309 25.0071 69.0694 25.007ZM72.5873 20.6195V19.3441C72.2474 19.5345 71.7987 19.6876 71.2413 19.8033L70.1604 20.0073C69.6506 20.1025 69.2631 20.2776 68.9979 20.5329C68.7327 20.7881 68.6001 21.1095 68.6002 21.4971C68.6002 21.9393 68.7192 22.2865 68.9571 22.5387C69.1951 22.7909 69.5282 22.9168 69.9565 22.9162C70.8946 22.9162 71.6424 22.5863 72.1999 21.9266C72.3086 21.7974 72.4004 21.607 72.4752 21.3552C72.548 21.1167 72.5858 20.8689 72.5873 20.6195Z" fill="#2B8FFF"/>
                                            <path d="M77.0527 9.87842C77.0527 9.83698 77.0692 9.79723 77.0985 9.76793C77.1277 9.73863 77.1675 9.72217 77.2089 9.72217H79.8232C79.8646 9.72217 79.9043 9.73863 79.9336 9.76793C79.9629 9.79723 79.9794 9.83698 79.9794 9.87842V24.5659C79.9794 24.6073 79.9629 24.647 79.9336 24.6763C79.9043 24.7056 79.8646 24.7221 79.8232 24.7221H77.2089C77.1675 24.7221 77.1277 24.7056 77.0985 24.6763C77.0692 24.647 77.0527 24.6073 77.0527 24.5659V9.87842Z" fill="#2B8FFF"/>
                                            <path d="M87.4676 24.6376C87.4677 24.6772 87.4528 24.7153 87.4259 24.7443C87.399 24.7733 87.3621 24.791 87.3227 24.7939C86.8609 24.8272 86.3076 24.8439 85.6628 24.8439C84.6294 24.8439 83.8867 24.6587 83.4347 24.2883C82.9826 23.9179 82.7566 23.3108 82.7566 22.467V15.5034H81.3729C81.3315 15.5034 81.2918 15.487 81.2625 15.4577C81.2332 15.4284 81.2168 15.3886 81.2168 15.3472V13.6088C81.2168 13.5674 81.2332 13.5276 81.2625 13.4983C81.2918 13.469 81.3315 13.4526 81.3729 13.4526H82.7566V10.7866C82.7566 10.7452 82.7731 10.7054 82.8024 10.6761C82.8316 10.6468 82.8714 10.6304 82.9128 10.6304H85.5269C85.5684 10.6304 85.6081 10.6468 85.6374 10.6761C85.6666 10.7054 85.6831 10.7452 85.6831 10.7866V13.4526H87.3114C87.3528 13.4526 87.3925 13.469 87.4218 13.4983C87.4511 13.5276 87.4676 13.5674 87.4676 13.6088V15.3472C87.4676 15.3886 87.4511 15.4284 87.4218 15.4577C87.3925 15.487 87.3528 15.5034 87.3114 15.5034H85.6831V21.9767C85.6831 22.2351 85.7596 22.4052 85.9126 22.4869C86.0657 22.5686 86.3835 22.6094 86.866 22.6093H87.3114C87.3528 22.6093 87.3925 22.6258 87.4218 22.6551C87.4511 22.6844 87.4676 22.7241 87.4676 22.7656V24.6376Z" fill="#2B8FFF"/>
                                            <path d="M88.8506 9.87842C88.8506 9.83698 88.867 9.79723 88.8963 9.76793C88.9256 9.73863 88.9653 9.72217 89.0067 9.72217H91.6518C91.6932 9.72217 91.7329 9.73863 91.7622 9.76793C91.7915 9.79723 91.8079 9.83698 91.8079 9.87842V15.028L92.0449 14.7015C92.7736 13.7833 93.8315 13.3242 95.2186 13.3241C96.4003 13.3241 97.326 13.671 97.9957 14.3649C98.6654 15.0587 99.0003 16.0212 99.0004 17.2523V24.5652C99.0004 24.6066 98.984 24.6463 98.9547 24.6757C98.9254 24.705 98.8857 24.7214 98.8443 24.7214H96.1992C96.1578 24.7214 96.1181 24.705 96.0888 24.6757C96.0595 24.6463 96.0431 24.6066 96.0431 24.5652V17.7831C96.0431 17.0959 95.8936 16.5874 95.5948 16.2576C95.2959 15.9277 94.8374 15.7628 94.2192 15.7628C93.4429 15.7628 92.8472 15.9942 92.4322 16.4572C92.0172 16.9202 91.8091 17.5868 91.8079 18.457V24.5657C91.8079 24.6071 91.7915 24.6469 91.7622 24.6762C91.7329 24.7055 91.6932 24.7219 91.6518 24.7219H89.0067C88.9653 24.7219 88.9256 24.7055 88.8963 24.6762C88.867 24.6469 88.8506 24.6071 88.8506 24.5657V9.87842Z" fill="#2B8FFF"/>
                                            <g clip-path="url(#clip1)">
                                            <path d="M23.4559 25C23.4838 25 23.5112 24.9926 23.5352 24.9784C23.5592 24.9643 23.5791 24.944 23.5926 24.9196C23.6061 24.8952 23.6129 24.8676 23.6121 24.8397C23.6114 24.8118 23.6032 24.7846 23.5885 24.7609L18.9327 17.3056L23.4687 12.7667C23.4906 12.7448 23.5054 12.717 23.5114 12.6867C23.5174 12.6563 23.5143 12.6249 23.5025 12.5964C23.4907 12.5679 23.4706 12.5435 23.445 12.5263C23.4193 12.5091 23.3891 12.5 23.3582 12.5H19.1722C19.1308 12.5 19.0911 12.5165 19.0618 12.5458L14.7888 16.821C14.767 16.8428 14.7392 16.8577 14.7089 16.8637C14.6786 16.8697 14.6473 16.8666 14.6187 16.8548C14.5902 16.843 14.5659 16.823 14.5487 16.7973C14.5315 16.7717 14.5224 16.7415 14.5223 16.7106V10.1562C14.5223 10.1148 14.5059 10.0751 14.4766 10.0458C14.4473 10.0165 14.4076 10 14.3662 10H11.3993C11.3579 10 11.3182 10.0165 11.2889 10.0458C11.2596 10.0751 11.2432 10.1148 11.2432 10.1562V24.8372C11.2432 24.8786 11.2596 24.9183 11.2889 24.9476C11.3182 24.9769 11.3579 24.9934 11.3993 24.9934H14.3662C14.4076 24.9934 14.4473 24.9769 14.4766 24.9476C14.5059 24.9183 14.5223 24.8786 14.5223 24.8372V21.7828C14.5223 21.7414 14.5387 21.7017 14.568 21.6724L16.4184 19.8208C16.435 19.8042 16.4551 19.7915 16.4773 19.7838C16.4995 19.776 16.5232 19.7734 16.5465 19.7761C16.5698 19.7787 16.5923 19.7867 16.6122 19.7992C16.632 19.8118 16.6488 19.8287 16.6613 19.8486L19.8323 24.9266C19.8464 24.949 19.8659 24.9676 19.889 24.9804C19.9122 24.9933 19.9382 25 19.9647 25H23.4559Z" fill="#2B8FFF"/>
                                            <path d="M17.4889 0C7.8301 0 0 7.83507 0 17.5V34.8438C0 34.8852 0.0164516 34.9249 0.0457355 34.9542C0.0750195 34.9835 0.114737 35 0.156151 35H17.4889C27.1477 35 34.9778 27.1649 34.9778 17.5C34.9778 7.84271 27.1401 0 17.4889 0ZM17.4889 31.7188H3.43532C3.39391 31.7188 3.35419 31.7023 3.3249 31.673C3.29562 31.6437 3.27917 31.6039 3.27917 31.5625V17.5613C3.27917 9.72483 9.68673 3.26563 17.518 3.28125C25.3525 3.29705 31.6986 9.65694 31.6986 17.5C31.6986 25.3528 25.3367 31.7188 17.4889 31.7188Z" fill="#2B8FFF"/>
                                            </g>
                                            </g>
                                            <defs>
                                            <clipPath id="clip0">
                                            <rect width="99" height="35" fill="white"/>
                                            </clipPath>
                                            <clipPath id="clip1">
                                            <rect width="34.9778" height="35" fill="white"/>
                                            </clipPath>
                                            </defs>
                                        </svg>
                                    </div>
                                    <p class="average_monthly_subtitle">delivery included</p>
                                </td>
                                <td>
                                    <p class="average_monthly_other_title">Others<sup>*</sup></p>
                                    <p class="average_monthly_subtitle">delivery usually extra</p>
                                </td>
                            </tr>
                            <?php foreach ($average_monthly_table as $key => $row) { ?>
                                <tr class="average_monthly_table_row">
                                    <td>
                                        <p class="average_monthly_table_row_title">
                                            <?= $row['title']; ?>
                                        </p>
                                    </td>
                                    <td class="plan-tab-second-row">
                                        <p class="average_monthly_table_row_k">
                                            <span class="average_monthly_table_row_k_price"><?= $row['khealth']; ?></span>
                                        </p>
                                    </td>
                                    <td>
                                        <p class="average_monthly_table_row_others_price">
                                            <?= $row['others']; ?>
                                        </p>
                                    </td>
                                </tr>
                            <?php } ?>
                        </tbody>
                    </table>
                    <div class="average_monthly_table_description">
                        <?= $average_monthly_table_description; ?>
                    </div>
                </div>
            <?php } ?>
            <div class="average_monthly_table_colunm average_monthly_table_content hide-mobile">
                <h2 class="average_monthly_block_title"><?= $average_monthly_block_title; ?></h2>
                <p class="average_monthly_block_description"><?= $average_monthly_block_description; ?></p>
                <a href="<?= $average_monthly_cta_link; ?>" class="btn btn-primary" 
                    <?php if ($average_monthly_cta_link) { echo 'target="'.$average_monthly_cta_link.'"'; } ?> 
                    <?php if(isset($style_cta_average_monthly)) { echo $style_cta_average_monthly; }; ?> 
                    onMouseOver = <?php if(isset($average_monthly_cta_background_hover_color)) { echo $mouse_over_average_monthly; }; ?>
                    onMouseOut = <?php if(isset($average_monthly_cta_background_hover_color)) { echo $mouse_out_average_monthly; }; ?>
                >
                    <?= $average_monthly_cta_text; ?>
                </a>
            </div>
            <div class="average_monthly_table_colunm hide-desktop average_monthly_block_colunm_link_mobile">
                <a href="<?= $average_monthly_cta_link; ?>" class="btn btn-primary" 
                    <?php if ($average_monthly_cta_link) { echo 'target="'.$average_monthly_cta_link.'"'; } ?> 
                    <?php if(isset($style_cta_average_monthly)) { echo $style_cta_average_monthly; }; ?> 
                    onMouseOver = <?php if(isset($average_monthly_cta_background_hover_color)) { echo $mouse_over_average_monthly; }; ?>
                    onMouseOut = <?php if(isset($average_monthly_cta_background_hover_color)) { echo $mouse_out_average_monthly; }; ?>
                >
                    <?= $average_monthly_cta_text; ?>
                </a>
            </div>
        </div>
    </div>
</div>